Home > Could Not > Cannot Find Gem Mysql

Cannot Find Gem Mysql

Contents

You may need configuration options. Can I hint the optimizer by giving the range of an integer? Contact Sales USA: +1-866-221-0634 Canada: +1-866-221-0634 Germany: +49 89 143 01280 France: +33 1 57 60 83 57 Italy: +39 02 249 59 120 UK: +44 207 553 8447 Japan: 0120-065556 Not the answer you're looking for? http://txtbl.com/could-not/cannot-find-assembly-mysql-data.html

Holly Banning 16,096 Points Holly Banning Holly Banning 16,096 Points >2y ago Yes, is there an equivalent for windows users? Join them; it only takes a minute: Sign up Cannot install mysql2 gem up vote 18 down vote favorite 9 I'm unable to install the mysql2 gem in my Windows7 x64 Replies (7) RE: Installing MySQL2 gem fails while running "bundle install" on Windows - Added by Alexander Prokhorov over 3 years ago TL;DR Done. First things first: I'm using a Windows 7 64-bit machine In the console, when I try to: gem install mysql It gives me: Temporarily enhancing PATH to include DevKit... http://stackoverflow.com/questions/9857027/rails-mysql-server-error-could-not-find-gem

Could Not Find Gem Mysql2 0.3 11

C:/Apps/Ruby/Ruby193/bin/ruby.exe extconf.rb checking for rb_thread_blocking_region()... Copy the above libmysql.dll to C:\Ruby192\bin AND C:\Ruby192\lib, or wherever your lib and bin are. Mar 25 '12 at 1:48 add a comment| up vote 0 down vote I had a similar issue. You may need configuration options.

Thanks a million! –Nathan Wallace Apr 19 '14 at 15:56 add a comment| up vote 0 down vote Copy the libmysql.dll located in the bin directory of your MySQL install to Why did the best potions master have greasy hair? Richard Duffy 14,644 Points Richard Duffy Richard Duffy 14,644 Points about 2 years ago Hey, as Geoff Parsons said, that is totally correct! Our Company About Us Contact Us Community Treehouse Stories Student Perks Treehouse Blog Affiliate Program Careers Topics HTML CSS Design JavaScript Ruby PHP WordPress iOS Android Development Tools Business Tracks Web

You won't really need to touch this file as it's generated each time you run rake db:migrate. Works with Win8/MySQL 5.6/Ruby 2.0 as well. –Ben Fulton Sep 17 '14 at 20:12 add a comment| up vote 6 down vote If still getting error then cross check the steps One of them has the MySQL Server, Workbench, C++ and ODBC, and the other has Notifier, Documentation, J, and .NET. news Here is the output of > attempting to install the ruby gem: > > sudo gem install mysql > Building native extensions.

Long story short, what I've actually need to do is to go to dev.mysql.com/downloads/connector/c/6.0.html (exactly this version, not the latest one), download "Windows (x86, 32-bit), ZIP Archive" and extract libmysql.dll to Related 5gem install mysql problem in rails3Rails 3 with mysql problem188Library not loaded: libmysqlclient.16.dylib error when trying to run 'rails server' on OS X 10.6 with mysql2 gem0When I type “rails I would just hate to have to start over and reinstall everything right now. Jim Withington 11,218 Points Jim Withington Jim Withington 11,218 Points almost 2 years ago I'm still having this issue.

Could Not Find Mysql2-0.3.20 In Any Of The Sources

group :assets do gem 'sass-rails', '~> 3.2.3' gem 'coffee-rails', '~> 3.2.1' # See https://github.com/sstephenson/execjs#readme for more supported runtimes # gem 'therubyracer', :platform => :ruby gem 'uglifier', '>= 1.0.3' end gem 'jquery-rails' http://stackoverflow.com/questions/28091203/mysql2-gem-in-gem-list-but-getting-project-can-not-find-gem I installed Ruby 1.8, the development kit and and the Rails platform. Could Not Find Gem Mysql2 0.3 11 Sign in Email Address Password I forgot my password Sign in Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. Error: Error Installing Mysql2: Error: Failed To Build Gem Native Extension. I did get new error information however.. /Users/kyle/.rvm/rubies/ruby-1.9.2-p180/lib/ruby/1.9.1/mkmf.rb:368:in `try_do': The complier failed to generate an executable file. (RuntimeError) You have to install development tools first.

See the blog post shared above. http://txtbl.com/could-not/cannot-find-assembly.html no checking for mysql_query() in -lmysqlclient... Not the answer you're looking for? When I look in project/db I find: schema.rb seeds. Could Not Locate Gemfile

  • You'll probably find that in your gem folder.
  • Thanks again, guys Geoff Parsons 11,635 Points Geoff Parsons Geoff Parsons 11,635 Points 2y ago One of the beauties of Ruby on Rails (and other full-stack frameworks) is that it's somewhat
  • share|improve this answer answered Mar 8 '15 at 20:37 Scratch-and-Sniff 2518 add a comment| up vote 0 down vote I had a similar issue, but when trying to gem install mysql2,
  • Found the source of the problem: GitHub: brianmario/mysql2: Pull request 'Handle dir_config returning nil, nil on Windows ( github.com/brianmario/mysql2/pull/402 )The pull request has been merged, but it's not in the release
  • Join them; it only takes a minute: Sign up mysql2 gem in gem list but getting project can not find gem up vote 4 down vote favorite I am currently building
  • As far as I could determine, you probably have to do two things: 1) you have to find the directory in which your gem resources are stored, so that you can
  • no *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers.

Thanks One-Click Project member luislavena commented Aug 30, 2013 Hello @ariasn From your list: Windows 8 64bit Ruby200-x64 MySQL Server 5.6 Connector C++ 1.1.3 I strongly recommend the following: Use 32bits When invoked by the command line with the --cflags option it would return a string of options containing: -Xclang -target-feature -Xclang -aes -Qunused-arguments For some reason the call to have_header('mysql.h') in Successfully installed mysql2-0.3.16 1 gem installed C:\Users\Jon\sandbox>ruby simple_mysql2.rb ruby: ruby 2.1.4p261 (2014-10-19 revision 48004) [i386-mingw32] rubygems: 2.4.2 mysql2 gem: 0.3.16 db: 10.0.14-MariaDB trevos commented Oct 22, 2014 thank @luislavena it worked Provided configuration options: --with-opt-dir --with-opt-include --without-opt-include=${opt-dir}/include --with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog --without-make-prog --srcdir=. --curdir --ruby=/opt/local/bin/ruby --with-mysql-config --without-mysql-config Gem files will remain installed in /opt/local/lib/ruby/gems/1.8/gems/mysql-2.8.1 for inspection.

In the Migrations video in Stage 2, the project is created using rails new biller -d mysql However, when I try I get an error when it tries to install mysql if i could upvote more than once i honestly would. –Damien-at-SF Oct 13 '11 at 0:41 Thank you, It worked for me too. rdoc and ri documentation I found indicated that the .html documentation is usually preferable.

If I receive written permission to use content from a paper without citing, is it plagiarism?

It's pretty irritating after just completing a whole Treehouse section (as part of the Ruby on Rails track) on how to use MySQL...and then the stuff we build with Rails doesn't Of course, the --no-rdoc and --no-ri switches relieve the compiler/installer of what they can't do. I use Windows Vista. Really wish to thank those who commented...

yes checking for rb_intern3()... Can I hint the optimizer by giving the range of an integer? EDIT : Looking back at it now, it's probably safe to only edit the gemfile to change the lines version info for the mysql adapter from "~> 0.3.11" to just "0.3.11" I would uninstall this version and install the 32-bit one.

DONE! share|improve this answer answered Jun 28 '13 at 21:49 James McMahon 23k51150225 Thank you so much! share|improve this answer answered May 30 '11 at 18:42 Ritesh Kumar 1,70111322 add a comment| up vote 2 down vote The accepted answer did not work for me, and neither did Im using windows 7 –Zasz Sep 3 '11 at 14:52 add a comment| up vote 1 down vote I know the thread is related to Windows but I reached it searching

You may need configuration options. yes checking for mysql_ssl_set()... Please sign in or sign up to post. Can't figure out what it is.